@echo off
echo       (C) Gleb Vdovin 1993-1995
echo       This file is a part of LightPipes beta distribution
rem       

begin 0.04 5e-7 | circ_ap 0.01 | Zernike 3 1 0.01 10 > foo3
forvard 0.5 < foo3 | b_split foo1 > foo
rem shifting beam 3 mm without real interpolation, mixing it
rem with centered beam
interpol 0.04 256 0.003 0.00 < foo1 | b_mix foo | forvard 0.5 > foo2
rem  postscript output
file_ps shear4.ps 128 < foo2 > null
del foo 
del foo1 
del foo2
del foo3
